Skip to main content
GET
/
v1
/
trackers
/
{id}
/
alerts
List recent tracker alerts
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.arcmira.com/v1/trackers/{id}/alerts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.arcmira.com/v1/trackers/{id}/alerts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
curl --request GET \
--url https://api.arcmira.com/v1/trackers/{id}/alerts \
--header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "tracker_id": "<string>",
      "monitor_id": "<string>",
      "entity_id": "<string>",
      "mention_id": "<string>",
      "media_id": 123,
      "appearance_id": 123,
      "channel": "<string>",
      "status": "<string>",
      "final_status": "<string>",
      "error_message": "<string>",
      "scheduled_at": "<string>",
      "sent_at": "<string>",
      "created_at": "<string>",
      "tracker": {
        "id": "<string>",
        "entity_name": "<string>",
        "entity_type": "<string>",
        "display_name": "<string>"
      },
      "monitor": {
        "id": "<string>",
        "name": "<string>"
      }
    }
  ],
  "has_more": true,
  "next_cursor": null
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

n
integer
default:25
Required range: 1 <= x <= 100

Response

Success

data
object[]
required

Newest alerts first.

has_more
boolean
required

CURRENTLY always false: this endpoint returns the newest n alerts as a single page and does not paginate.

next_cursor
null
required

Always null: this endpoint does not paginate.